clear all
close all
clc

% Load and Calibrate Data
%%%%%%%%%%%%%%%%%%%%%%%%%%

load numerical_order%joycalibrate2%calibrate%djcalibrate%

%  Get file name
[filename, pathname] = uigetfile('*.dta', 'Pick a CTD file');

%  Open file and read raw data
fid = fopen([pathname filename],'r');
raw_data = fread(fid,[150 inf],'uint16');

%  Calibrate data
n = size(raw_data);
n=n(2);
data = zeros(size(raw_data));
date = raw_data(1:6,:);
%  Separate data into Temperature, Conductivity, and Pressure data
for jj = 1:n
    for kk = 1:48;
        raw_temp(kk,jj) = raw_data(kk*3+4,jj);
        raw_cond(kk,jj) = raw_data(kk*3+5,jj);
        raw_pres(kk,jj) = raw_data(kk*3+6,jj);
    end
end

% put sensor data in numerical order
load location
for nn=1:length(location)
    raw_temp_in_order(location(nn),:)=raw_temp(nn,:);
    raw_cond_in_order(location(nn),:)=raw_cond(nn,:);
    raw_pres_in_order(location(nn),:)=raw_pres(nn,:);
end

% Calibrate the data
for nn=1:50
    calibrate_temp (nn,:)= calibrate(nn*3-0,:);
    calibrate_cond (nn,:)= calibrate(nn*3-1,:);
    calibrate_pres (nn,:)= calibrate(nn*3-2,:);
end

for ii=1:50
    pressure(ii,:) = raw_pres_in_order(ii,:).*calibrate_pres(ii,1)+calibrate_pres(ii,2)+(raw_pres_in_order(ii,:).^2).*calibrate_pres(ii,3);
    temperature(ii,:) = raw_temp_in_order(ii,:).*calibrate_temp(ii,1)+calibrate_temp(ii,2)+(raw_temp_in_order(ii,:).^2).*calibrate_temp(ii,3);
    conductivity(ii,:) = raw_cond_in_order(ii,:).*calibrate_cond(ii,1)+calibrate_cond(ii,2)+(raw_cond_in_order(ii,:).^2).*calibrate_cond(ii,3);
end

pres=pressure(location,:);
cond=conductivity(location,:);
temp=temperature(location,:);